Subject: Re: [PATCH] remote-hg: do not fail on invalid bookmarks

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Dec 2013 11:12:19 -0800

Mike Hommey <[email-masked]> writes:

> On Sun, Dec 29, 2013 at 12:30:02PM +0100, Antoine Pelisse wrote:
>> Mercurial can have bookmarks pointing to "nullid" (the empty root
>> revision), while Git can not have references to it.
>> When cloning or fetching from a Mercurial repository that has such a
>> bookmark, the import will fail because git-remote-hg will not be able to
>> create the corresponding reference.
>> 
>> Warn the user about the invalid reference, and continue the import,
>> instead of stopping right away.
>
> It's not invalid, it's used to indicate deleted bookmarks. (Tags have
> the same property)

So what should remote-hg behave in such a case, other than what
Antoine's change does (which is to, IIRC, warn, ignore and
continue).